/*
 * Copyright (C) 2011 Toshiaki Maki <makingx@gmail.com>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package am.ik.aws.apa.jaxws;

import java.util.concurrent.Future;
import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.jws.soap.SOAPBinding;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.ws.AsyncHandler;
import javax.xml.ws.Response;

/**
 * This class was generated by the JAX-WS RI. JAX-WS RI 2.1.6 in JDK 6 Generated
 * source version: 2.1
 * 
 */
@WebService(name = "AWSECommerceServicePortType", targetNamespace = "http://webservices.amazon.com/AWSECommerceService/2011-08-01")
@SOAPBinding(parameterStyle = SOAPBinding.ParameterStyle.BARE)
@XmlSeeAlso({ ObjectFactory.class })
public interface AWSECommerceServicePortType {

    /**
     * 
     * @param body
     * @return returns
     *         javax.xml.ws.Response<am.ik.aws.apa.jaxws.ItemSearchResponse>
     */
    @WebMethod(operationName = "ItemSearch", action = "http://soap.amazon.com/ItemSearch")
    public Response<ItemSearchResponse> itemSearchAsync(
            @WebParam(name = "ItemSearch", targetNamespace = "http://webservices.amazon.com/AWSECommerceService/2011-08-01", partName = "body") ItemSearch body);

    /**
     * 
     * @param body
     * @param asyncHandler
     * @return returns java.util.concurrent.Future<? extends java.lang.Object>
     */
    @WebMethod(operationName = "ItemSearch", action = "http://soap.amazon.com/ItemSearch")
    public Future<?> itemSearchAsync(
            @WebParam(name = "ItemSearch", targetNamespace = "http://webservices.amazon.com/AWSECommerceService/2011-08-01", partName = "body") ItemSearch body,
            @WebParam(name = "ItemSearchResponse", targetNamespace = "", partName = "asyncHandler") AsyncHandler<ItemSearchResponse> asyncHandler);

    /**
     * 
     * @param body
     * @return returns am.ik.aws.apa.jaxws.ItemSearchResponse
     */
    @WebMethod(operationName = "ItemSearch", action = "http://soap.amazon.com/ItemSearch")
    @WebResult(name = "ItemSearchResponse", targetNamespace = "http://webservices.amazon.com/AWSECommerceService/2011-08-01", partName = "body")
    public ItemSearchResponse itemSearch(
            @WebParam(name = "ItemSearch", targetNamespace = "http://webservices.amazon.com/AWSECommerceService/2011-08-01", partName = "body") ItemSearch body);

    /**
     * 
     * @param body
     * @return returns
     *         javax.xml.ws.Response<am.ik.aws.apa.jaxws.ItemLookupResponse>
     */
    @WebMethod(operationName = "ItemLookup", action = "http://soap.amazon.com/ItemLookup")
    public Response<ItemLookupResponse> itemLookupAsync(
            @WebParam(name = "ItemLookup", targetNamespace = "http://webservices.amazon.com/AWSECommerceService/2011-08-01", partName = "body") ItemLookup body);

    /**
     * 
     * @param body
     * @param asyncHandler
     * @return returns java.util.concurrent.Future<? extends java.lang.Object>
     */
    @WebMethod(operationName = "ItemLookup", action = "http://soap.amazon.com/ItemLookup")
    public Future<?> itemLookupAsync(
            @WebParam(name = "ItemLookup", targetNamespace = "http://webservices.amazon.com/AWSECommerceService/2011-08-01", partName = "body") ItemLookup body,
            @WebParam(name = "ItemLookupResponse", targetNamespace = "", partName = "asyncHandler") AsyncHandler<ItemLookupResponse> asyncHandler);

    /**
     * 
     * @param body
     * @return returns am.ik.aws.apa.jaxws.ItemLookupResponse
     */
    @WebMethod(operationName = "ItemLookup", action = "http://soap.amazon.com/ItemLookup")
    @WebResult(name = "ItemLookupResponse", targetNamespace = "http://webservices.amazon.com/AWSECommerceService/2011-08-01", partName = "body")
    public ItemLookupResponse itemLookup(
            @WebParam(name = "ItemLookup", targetNamespace = "http://webservices.amazon.com/AWSECommerceService/2011-08-01", partName = "body") ItemLookup body);

    /**
     * 
     * @param body
     * @return returns
     *         javax.xml.ws.Response<am.ik.aws.apa.jaxws.BrowseNodeLookupResponse
     *         >
     */
    @WebMethod(operationName = "BrowseNodeLookup", action = "http://soap.amazon.com/BrowseNodeLookup")
    public Response<BrowseNodeLookupResponse> browseNodeLookupAsync(
            @WebParam(name = "BrowseNodeLookup", targetNamespace = "http://webservices.amazon.com/AWSECommerceService/2011-08-01", partName = "body") BrowseNodeLookup body);

    /**
     * 
     * @param body
     * @param asyncHandler
     * @return returns java.util.concurrent.Future<? extends java.lang.Object>
     */
    @WebMethod(operationName = "BrowseNodeLookup", action = "http://soap.amazon.com/BrowseNodeLookup")
    public Future<?> browseNodeLookupAsync(
            @WebParam(name = "BrowseNodeLookup", targetNamespace = "http://webservices.amazon.com/AWSECommerceService/2011-08-01", partName = "body") BrowseNodeLookup body,
            @WebParam(name = "BrowseNodeLookupResponse", targetNamespace = "", partName = "asyncHandler") AsyncHandler<BrowseNodeLookupResponse> asyncHandler);

    /**
     * 
     * @param body
     * @return returns am.ik.aws.apa.jaxws.BrowseNodeLookupResponse
     */
    @WebMethod(operationName = "BrowseNodeLookup", action = "http://soap.amazon.com/BrowseNodeLookup")
    @WebResult(name = "BrowseNodeLookupResponse", targetNamespace = "http://webservices.amazon.com/AWSECommerceService/2011-08-01", partName = "body")
    public BrowseNodeLookupResponse browseNodeLookup(
            @WebParam(name = "BrowseNodeLookup", targetNamespace = "http://webservices.amazon.com/AWSECommerceService/2011-08-01", partName = "body") BrowseNodeLookup body);

    /**
     * 
     * @param body
     * @return returns
     *         javax.xml.ws.Response<am.ik.aws.apa.jaxws.SimilarityLookupResponse
     *         >
     */
    @WebMethod(operationName = "SimilarityLookup", action = "http://soap.amazon.com/SimilarityLookup")
    public Response<SimilarityLookupResponse> similarityLookupAsync(
            @WebParam(name = "SimilarityLookup", targetNamespace = "http://webservices.amazon.com/AWSECommerceService/2011-08-01", partName = "body") SimilarityLookup body);

    /**
     * 
     * @param body
     * @param asyncHandler
     * @return returns java.util.concurrent.Future<? extends java.lang.Object>
     */
    @WebMethod(operationName = "SimilarityLookup", action = "http://soap.amazon.com/SimilarityLookup")
    public Future<?> similarityLookupAsync(
            @WebParam(name = "SimilarityLookup", targetNamespace = "http://webservices.amazon.com/AWSECommerceService/2011-08-01", partName = "body") SimilarityLookup body,
            @WebParam(name = "SimilarityLookupResponse", targetNamespace = "", partName = "asyncHandler") AsyncHandler<SimilarityLookupResponse> asyncHandler);

    /**
     * 
     * @param body
     * @return returns am.ik.aws.apa.jaxws.SimilarityLookupResponse
     */
    @WebMethod(operationName = "SimilarityLookup", action = "http://soap.amazon.com/SimilarityLookup")
    @WebResult(name = "SimilarityLookupResponse", targetNamespace = "http://webservices.amazon.com/AWSECommerceService/2011-08-01", partName = "body")
    public SimilarityLookupResponse similarityLookup(
            @WebParam(name = "SimilarityLookup", targetNamespace = "http://webservices.amazon.com/AWSECommerceService/2011-08-01", partName = "body") SimilarityLookup body);

    /**
     * 
     * @param body
     * @return returns
     *         javax.xml.ws.Response<am.ik.aws.apa.jaxws.CartGetResponse>
     */
    @WebMethod(operationName = "CartGet", action = "http://soap.amazon.com/CartGet")
    public Response<CartGetResponse> cartGetAsync(
            @WebParam(name = "CartGet", targetNamespace = "http://webservices.amazon.com/AWSECommerceService/2011-08-01", partName = "body") CartGet body);

    /**
     * 
     * @param body
     * @param asyncHandler
     * @return returns java.util.concurrent.Future<? extends java.lang.Object>
     */
    @WebMethod(operationName = "CartGet", action = "http://soap.amazon.com/CartGet")
    public Future<?> cartGetAsync(
            @WebParam(name = "CartGet", targetNamespace = "http://webservices.amazon.com/AWSECommerceService/2011-08-01", partName = "body") CartGet body,
            @WebParam(name = "CartGetResponse", targetNamespace = "", partName = "asyncHandler") AsyncHandler<CartGetResponse> asyncHandler);

    /**
     * 
     * @param body
     * @return returns am.ik.aws.apa.jaxws.CartGetResponse
     */
    @WebMethod(operationName = "CartGet", action = "http://soap.amazon.com/CartGet")
    @WebResult(name = "CartGetResponse", targetNamespace = "http://webservices.amazon.com/AWSECommerceService/2011-08-01", partName = "body")
    public CartGetResponse cartGet(
            @WebParam(name = "CartGet", targetNamespace = "http://webservices.amazon.com/AWSECommerceService/2011-08-01", partName = "body") CartGet body);

    /**
     * 
     * @param body
     * @return returns
     *         javax.xml.ws.Response<am.ik.aws.apa.jaxws.CartCreateResponse>
     */
    @WebMethod(operationName = "CartCreate", action = "http://soap.amazon.com/CartCreate")
    public Response<CartCreateResponse> cartCreateAsync(
            @WebParam(name = "CartCreate", targetNamespace = "http://webservices.amazon.com/AWSECommerceService/2011-08-01", partName = "body") CartCreate body);

    /**
     * 
     * @param body
     * @param asyncHandler
     * @return returns java.util.concurrent.Future<? extends java.lang.Object>
     */
    @WebMethod(operationName = "CartCreate", action = "http://soap.amazon.com/CartCreate")
    public Future<?> cartCreateAsync(
            @WebParam(name = "CartCreate", targetNamespace = "http://webservices.amazon.com/AWSECommerceService/2011-08-01", partName = "body") CartCreate body,
            @WebParam(name = "CartCreateResponse", targetNamespace = "", partName = "asyncHandler") AsyncHandler<CartCreateResponse> asyncHandler);

    /**
     * 
     * @param body
     * @return returns am.ik.aws.apa.jaxws.CartCreateResponse
     */
    @WebMethod(operationName = "CartCreate", action = "http://soap.amazon.com/CartCreate")
    @WebResult(name = "CartCreateResponse", targetNamespace = "http://webservices.amazon.com/AWSECommerceService/2011-08-01", partName = "body")
    public CartCreateResponse cartCreate(
            @WebParam(name = "CartCreate", targetNamespace = "http://webservices.amazon.com/AWSECommerceService/2011-08-01", partName = "body") CartCreate body);

    /**
     * 
     * @param body
     * @return returns
     *         javax.xml.ws.Response<am.ik.aws.apa.jaxws.CartAddResponse>
     */
    @WebMethod(operationName = "CartAdd", action = "http://soap.amazon.com/CartAdd")
    public Response<CartAddResponse> cartAddAsync(
            @WebParam(name = "CartAdd", targetNamespace = "http://webservices.amazon.com/AWSECommerceService/2011-08-01", partName = "body") CartAdd body);

    /**
     * 
     * @param body
     * @param asyncHandler
     * @return returns java.util.concurrent.Future<? extends java.lang.Object>
     */
    @WebMethod(operationName = "CartAdd", action = "http://soap.amazon.com/CartAdd")
    public Future<?> cartAddAsync(
            @WebParam(name = "CartAdd", targetNamespace = "http://webservices.amazon.com/AWSECommerceService/2011-08-01", partName = "body") CartAdd body,
            @WebParam(name = "CartAddResponse", targetNamespace = "", partName = "asyncHandler") AsyncHandler<CartAddResponse> asyncHandler);

    /**
     * 
     * @param body
     * @return returns am.ik.aws.apa.jaxws.CartAddResponse
     */
    @WebMethod(operationName = "CartAdd", action = "http://soap.amazon.com/CartAdd")
    @WebResult(name = "CartAddResponse", targetNamespace = "http://webservices.amazon.com/AWSECommerceService/2011-08-01", partName = "body")
    public CartAddResponse cartAdd(
            @WebParam(name = "CartAdd", targetNamespace = "http://webservices.amazon.com/AWSECommerceService/2011-08-01", partName = "body") CartAdd body);

    /**
     * 
     * @param body
     * @return returns
     *         javax.xml.ws.Response<am.ik.aws.apa.jaxws.CartModifyResponse>
     */
    @WebMethod(operationName = "CartModify", action = "http://soap.amazon.com/CartModify")
    public Response<CartModifyResponse> cartModifyAsync(
            @WebParam(name = "CartModify", targetNamespace = "http://webservices.amazon.com/AWSECommerceService/2011-08-01", partName = "body") CartModify body);

    /**
     * 
     * @param body
     * @param asyncHandler
     * @return returns java.util.concurrent.Future<? extends java.lang.Object>
     */
    @WebMethod(operationName = "CartModify", action = "http://soap.amazon.com/CartModify")
    public Future<?> cartModifyAsync(
            @WebParam(name = "CartModify", targetNamespace = "http://webservices.amazon.com/AWSECommerceService/2011-08-01", partName = "body") CartModify body,
            @WebParam(name = "CartModifyResponse", targetNamespace = "", partName = "asyncHandler") AsyncHandler<CartModifyResponse> asyncHandler);

    /**
     * 
     * @param body
     * @return returns am.ik.aws.apa.jaxws.CartModifyResponse
     */
    @WebMethod(operationName = "CartModify", action = "http://soap.amazon.com/CartModify")
    @WebResult(name = "CartModifyResponse", targetNamespace = "http://webservices.amazon.com/AWSECommerceService/2011-08-01", partName = "body")
    public CartModifyResponse cartModify(
            @WebParam(name = "CartModify", targetNamespace = "http://webservices.amazon.com/AWSECommerceService/2011-08-01", partName = "body") CartModify body);

    /**
     * 
     * @param body
     * @return returns
     *         javax.xml.ws.Response<am.ik.aws.apa.jaxws.CartClearResponse>
     */
    @WebMethod(operationName = "CartClear", action = "http://soap.amazon.com/CartClear")
    public Response<CartClearResponse> cartClearAsync(
            @WebParam(name = "CartClear", targetNamespace = "http://webservices.amazon.com/AWSECommerceService/2011-08-01", partName = "body") CartClear body);

    /**
     * 
     * @param body
     * @param asyncHandler
     * @return returns java.util.concurrent.Future<? extends java.lang.Object>
     */
    @WebMethod(operationName = "CartClear", action = "http://soap.amazon.com/CartClear")
    public Future<?> cartClearAsync(
            @WebParam(name = "CartClear", targetNamespace = "http://webservices.amazon.com/AWSECommerceService/2011-08-01", partName = "body") CartClear body,
            @WebParam(name = "CartClearResponse", targetNamespace = "", partName = "asyncHandler") AsyncHandler<CartClearResponse> asyncHandler);

    /**
     * 
     * @param body
     * @return returns am.ik.aws.apa.jaxws.CartClearResponse
     */
    @WebMethod(operationName = "CartClear", action = "http://soap.amazon.com/CartClear")
    @WebResult(name = "CartClearResponse", targetNamespace = "http://webservices.amazon.com/AWSECommerceService/2011-08-01", partName = "body")
    public CartClearResponse cartClear(
            @WebParam(name = "CartClear", targetNamespace = "http://webservices.amazon.com/AWSECommerceService/2011-08-01", partName = "body") CartClear body);

}
