/*
 * Copyright (C) 2011 Toshiaki Maki <makingx@gmail.com>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package am.ik.aws.apa.jaxws;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;

/**
 * This object contains factory methods for each Java content interface and Java
 * element interface generated in the am.ik.aws.apa.jaxws package.
 * <p>
 * An ObjectFactory allows you to programatically construct new instances of the
 * Java representation for XML content. The Java representation of XML content
 * can consist of schema derived interfaces and classes representing the binding
 * of schema type definitions, element declarations and model groups. Factory
 * methods for each of these are provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _AudienceRating_QNAME = new QName(
            "http://webservices.amazon.com/AWSECommerceService/2011-08-01",
            "AudienceRating");
    private final static QName _Condition_QNAME = new QName(
            "http://webservices.amazon.com/AWSECommerceService/2011-08-01",
            "Condition");

    /**
     * Create a new ObjectFactory that can be used to create new instances of
     * schema derived classes for package: am.ik.aws.apa.jaxws
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link CartClear }
     * 
     */
    public CartClear createCartClear() {
        return new CartClear();
    }

    /**
     * Create an instance of {@link OfferListing.AvailabilityAttributes }
     * 
     */
    public OfferListing.AvailabilityAttributes createOfferListingAvailabilityAttributes() {
        return new OfferListing.AvailabilityAttributes();
    }

    /**
     * Create an instance of {@link ItemLookup }
     * 
     */
    public ItemLookup createItemLookup() {
        return new ItemLookup();
    }

    /**
     * Create an instance of {@link CartItem }
     * 
     */
    public CartItem createCartItem() {
        return new CartItem();
    }

    /**
     * Create an instance of {@link CartCreateRequest.Items.Item }
     * 
     */
    public CartCreateRequest.Items.Item createCartCreateRequestItemsItem() {
        return new CartCreateRequest.Items.Item();
    }

    /**
     * Create an instance of {@link TopSellers.TopSeller }
     * 
     */
    public TopSellers.TopSeller createTopSellersTopSeller() {
        return new TopSellers.TopSeller();
    }

    /**
     * Create an instance of {@link CartModifyResponse }
     * 
     */
    public CartModifyResponse createCartModifyResponse() {
        return new CartModifyResponse();
    }

    /**
     * Create an instance of {@link am.ik.aws.apa.jaxws.Item.AlternateVersions }
     * 
     */
    public am.ik.aws.apa.jaxws.Item.AlternateVersions createItemAlternateVersions() {
        return new am.ik.aws.apa.jaxws.Item.AlternateVersions();
    }

    /**
     * Create an instance of {@link SearchResultsMap.SearchIndex }
     * 
     */
    public SearchResultsMap.SearchIndex createSearchResultsMapSearchIndex() {
        return new SearchResultsMap.SearchIndex();
    }

    /**
     * Create an instance of {@link RelatedItems }
     * 
     */
    public RelatedItems createRelatedItems() {
        return new RelatedItems();
    }

    /**
     * Create an instance of {@link Promotion }
     * 
     */
    public Promotion createPromotion() {
        return new Promotion();
    }

    /**
     * Create an instance of {@link Tracks.Disc }
     * 
     */
    public Tracks.Disc createTracksDisc() {
        return new Tracks.Disc();
    }

    /**
     * Create an instance of {@link NonNegativeIntegerWithUnits }
     * 
     */
    public NonNegativeIntegerWithUnits createNonNegativeIntegerWithUnits() {
        return new NonNegativeIntegerWithUnits();
    }

    /**
     * Create an instance of {@link CartItem.MetaData.KeyValuePair }
     * 
     */
    public CartItem.MetaData.KeyValuePair createCartItemMetaDataKeyValuePair() {
        return new CartItem.MetaData.KeyValuePair();
    }

    /**
     * Create an instance of {@link ItemLinks }
     * 
     */
    public ItemLinks createItemLinks() {
        return new ItemLinks();
    }

    /**
     * Create an instance of {@link LoyaltyPoints }
     * 
     */
    public LoyaltyPoints createLoyaltyPoints() {
        return new LoyaltyPoints();
    }

    /**
     * Create an instance of {@link VariationAttribute }
     * 
     */
    public VariationAttribute createVariationAttribute() {
        return new VariationAttribute();
    }

    /**
     * Create an instance of {@link Collections.Collection }
     * 
     */
    public Collections.Collection createCollectionsCollection() {
        return new Collections.Collection();
    }

    /**
     * Create an instance of {@link Arguments }
     * 
     */
    public Arguments createArguments() {
        return new Arguments();
    }

    /**
     * Create an instance of {@link Collections }
     * 
     */
    public Collections createCollections() {
        return new Collections();
    }

    /**
     * Create an instance of {@link CartAddRequest }
     * 
     */
    public CartAddRequest createCartAddRequest() {
        return new CartAddRequest();
    }

    /**
     * Create an instance of {@link TopItemSet }
     * 
     */
    public TopItemSet createTopItemSet() {
        return new TopItemSet();
    }

    /**
     * Create an instance of {@link BrowseNodeLookup }
     * 
     */
    public BrowseNodeLookup createBrowseNodeLookup() {
        return new BrowseNodeLookup();
    }

    /**
     * Create an instance of {@link HTTPHeaders.Header }
     * 
     */
    public HTTPHeaders.Header createHTTPHeadersHeader() {
        return new HTTPHeaders.Header();
    }

    /**
     * Create an instance of {@link am.ik.aws.apa.jaxws.Item.ImageSets }
     * 
     */
    public am.ik.aws.apa.jaxws.Item.ImageSets createItemImageSets() {
        return new am.ik.aws.apa.jaxws.Item.ImageSets();
    }

    /**
     * Create an instance of {@link SimilarityLookup }
     * 
     */
    public SimilarityLookup createSimilarityLookup() {
        return new SimilarityLookup();
    }

    /**
     * Create an instance of
     * {@link am.ik.aws.apa.jaxws.Item.AlternateVersions.AlternateVersion }
     * 
     */
    public am.ik.aws.apa.jaxws.Item.AlternateVersions.AlternateVersion createItemAlternateVersionsAlternateVersion() {
        return new am.ik.aws.apa.jaxws.Item.AlternateVersions.AlternateVersion();
    }

    /**
     * Create an instance of {@link TopItemSet.TopItem }
     * 
     */
    public TopItemSet.TopItem createTopItemSetTopItem() {
        return new TopItemSet.TopItem();
    }

    /**
     * Create an instance of {@link OperationRequest }
     * 
     */
    public OperationRequest createOperationRequest() {
        return new OperationRequest();
    }

    /**
     * Create an instance of {@link ItemAttributes.PackageDimensions }
     * 
     */
    public ItemAttributes.PackageDimensions createItemAttributesPackageDimensions() {
        return new ItemAttributes.PackageDimensions();
    }

    /**
     * Create an instance of {@link ItemAttributes }
     * 
     */
    public ItemAttributes createItemAttributes() {
        return new ItemAttributes();
    }

    /**
     * Create an instance of {@link Variations }
     * 
     */
    public Variations createVariations() {
        return new Variations();
    }

    /**
     * Create an instance of
     * {@link am.ik.aws.apa.jaxws.Item.VariationAttributes }
     * 
     */
    public am.ik.aws.apa.jaxws.Item.VariationAttributes createItemVariationAttributes() {
        return new am.ik.aws.apa.jaxws.Item.VariationAttributes();
    }

    /**
     * Create an instance of {@link CartCreateRequest.Items }
     * 
     */
    public CartCreateRequest.Items createCartCreateRequestItems() {
        return new CartCreateRequest.Items();
    }

    /**
     * Create an instance of {@link BrowseNodes }
     * 
     */
    public BrowseNodes createBrowseNodes() {
        return new BrowseNodes();
    }

    /**
     * Create an instance of {@link SimilarViewedProducts.SimilarViewedProduct }
     * 
     */
    public SimilarViewedProducts.SimilarViewedProduct createSimilarViewedProductsSimilarViewedProduct() {
        return new SimilarViewedProducts.SimilarViewedProduct();
    }

    /**
     * Create an instance of {@link ItemSearch }
     * 
     */
    public ItemSearch createItemSearch() {
        return new ItemSearch();
    }

    /**
     * Create an instance of {@link DecimalWithUnits }
     * 
     */
    public DecimalWithUnits createDecimalWithUnits() {
        return new DecimalWithUnits();
    }

    /**
     * Create an instance of {@link Errors }
     * 
     */
    public Errors createErrors() {
        return new Errors();
    }

    /**
     * Create an instance of {@link ItemAttributes.ItemDimensions }
     * 
     */
    public ItemAttributes.ItemDimensions createItemAttributesItemDimensions() {
        return new ItemAttributes.ItemDimensions();
    }

    /**
     * Create an instance of {@link Collections.Collection.CollectionSummary }
     * 
     */
    public Collections.Collection.CollectionSummary createCollectionsCollectionCollectionSummary() {
        return new Collections.Collection.CollectionSummary();
    }

    /**
     * Create an instance of {@link CartCreate }
     * 
     */
    public CartCreate createCartCreate() {
        return new CartCreate();
    }

    /**
     * Create an instance of {@link EditorialReviews }
     * 
     */
    public EditorialReviews createEditorialReviews() {
        return new EditorialReviews();
    }

    /**
     * Create an instance of {@link SearchBinSet }
     * 
     */
    public SearchBinSet createSearchBinSet() {
        return new SearchBinSet();
    }

    /**
     * Create an instance of {@link Offers }
     * 
     */
    public Offers createOffers() {
        return new Offers();
    }

    /**
     * Create an instance of {@link CartModify }
     * 
     */
    public CartModify createCartModify() {
        return new CartModify();
    }

    /**
     * Create an instance of {@link BrowseNode.Ancestors }
     * 
     */
    public BrowseNode.Ancestors createBrowseNodeAncestors() {
        return new BrowseNode.Ancestors();
    }

    /**
     * Create an instance of {@link CartCreateRequest.Items.Item.MetaData }
     * 
     */
    public CartCreateRequest.Items.Item.MetaData createCartCreateRequestItemsItemMetaData() {
        return new CartCreateRequest.Items.Item.MetaData();
    }

    /**
     * Create an instance of {@link ItemSearchResponse }
     * 
     */
    public ItemSearchResponse createItemSearchResponse() {
        return new ItemSearchResponse();
    }

    /**
     * Create an instance of {@link BrowseNode.Properties }
     * 
     */
    public BrowseNode.Properties createBrowseNodeProperties() {
        return new BrowseNode.Properties();
    }

    /**
     * Create an instance of {@link Merchant }
     * 
     */
    public Merchant createMerchant() {
        return new Merchant();
    }

    /**
     * Create an instance of {@link NewReleases }
     * 
     */
    public NewReleases createNewReleases() {
        return new NewReleases();
    }

    /**
     * Create an instance of {@link Image }
     * 
     */
    public Image createImage() {
        return new Image();
    }

    /**
     * Create an instance of {@link SearchBinSets }
     * 
     */
    public SearchBinSets createSearchBinSets() {
        return new SearchBinSets();
    }

    /**
     * Create an instance of {@link ItemAttributes.CatalogNumberList }
     * 
     */
    public ItemAttributes.CatalogNumberList createItemAttributesCatalogNumberList() {
        return new ItemAttributes.CatalogNumberList();
    }

    /**
     * Create an instance of {@link CartItem.MetaData }
     * 
     */
    public CartItem.MetaData createCartItemMetaData() {
        return new CartItem.MetaData();
    }

    /**
     * Create an instance of {@link StringWithUnits }
     * 
     */
    public StringWithUnits createStringWithUnits() {
        return new StringWithUnits();
    }

    /**
     * Create an instance of {@link OfferAttributes }
     * 
     */
    public OfferAttributes createOfferAttributes() {
        return new OfferAttributes();
    }

    /**
     * Create an instance of {@link SimilarProducts.SimilarProduct }
     * 
     */
    public SimilarProducts.SimilarProduct createSimilarProductsSimilarProduct() {
        return new SimilarProducts.SimilarProduct();
    }

    /**
     * Create an instance of {@link ItemAttributes.Languages }
     * 
     */
    public ItemAttributes.Languages createItemAttributesLanguages() {
        return new ItemAttributes.Languages();
    }

    /**
     * Create an instance of {@link Arguments.Argument }
     * 
     */
    public Arguments.Argument createArgumentsArgument() {
        return new Arguments.Argument();
    }

    /**
     * Create an instance of {@link CartAddRequest.Items.Item }
     * 
     */
    public CartAddRequest.Items.Item createCartAddRequestItemsItem() {
        return new CartAddRequest.Items.Item();
    }

    /**
     * Create an instance of {@link Tracks.Disc.Track }
     * 
     */
    public Tracks.Disc.Track createTracksDiscTrack() {
        return new Tracks.Disc.Track();
    }

    /**
     * Create an instance of {@link Property }
     * 
     */
    public Property createProperty() {
        return new Property();
    }

    /**
     * Create an instance of {@link am.ik.aws.apa.jaxws.Item.Subjects }
     * 
     */
    public am.ik.aws.apa.jaxws.Item.Subjects createItemSubjects() {
        return new am.ik.aws.apa.jaxws.Item.Subjects();
    }

    /**
     * Create an instance of {@link CartModifyRequest.Items.Item }
     * 
     */
    public CartModifyRequest.Items.Item createCartModifyRequestItemsItem() {
        return new CartModifyRequest.Items.Item();
    }

    /**
     * Create an instance of {@link CartAddRequest.Items }
     * 
     */
    public CartAddRequest.Items createCartAddRequestItems() {
        return new CartAddRequest.Items();
    }

    /**
     * Create an instance of {@link CartGet }
     * 
     */
    public CartGet createCartGet() {
        return new CartGet();
    }

    /**
     * Create an instance of {@link CorrectedQuery }
     * 
     */
    public CorrectedQuery createCorrectedQuery() {
        return new CorrectedQuery();
    }

    /**
     * Create an instance of {@link VariationSummary }
     * 
     */
    public VariationSummary createVariationSummary() {
        return new VariationSummary();
    }

    /**
     * Create an instance of {@link ItemAttributes.EANList }
     * 
     */
    public ItemAttributes.EANList createItemAttributesEANList() {
        return new ItemAttributes.EANList();
    }

    /**
     * Create an instance of
     * {@link OtherCategoriesSimilarProducts.OtherCategoriesSimilarProduct }
     * 
     */
    public OtherCategoriesSimilarProducts.OtherCategoriesSimilarProduct createOtherCategoriesSimilarProductsOtherCategoriesSimilarProduct() {
        return new OtherCategoriesSimilarProducts.OtherCategoriesSimilarProduct();
    }

    /**
     * Create an instance of {@link SimilarityLookupResponse }
     * 
     */
    public SimilarityLookupResponse createSimilarityLookupResponse() {
        return new SimilarityLookupResponse();
    }

    /**
     * Create an instance of {@link HTTPHeaders }
     * 
     */
    public HTTPHeaders createHTTPHeaders() {
        return new HTTPHeaders();
    }

    /**
     * Create an instance of {@link CartClearResponse }
     * 
     */
    public CartClearResponse createCartClearResponse() {
        return new CartClearResponse();
    }

    /**
     * Create an instance of {@link NewReleases.NewRelease }
     * 
     */
    public NewReleases.NewRelease createNewReleasesNewRelease() {
        return new NewReleases.NewRelease();
    }

    /**
     * Create an instance of {@link SimilarProducts }
     * 
     */
    public SimilarProducts createSimilarProducts() {
        return new SimilarProducts();
    }

    /**
     * Create an instance of {@link ItemAttributes.Creator }
     * 
     */
    public ItemAttributes.Creator createItemAttributesCreator() {
        return new ItemAttributes.Creator();
    }

    /**
     * Create an instance of {@link Price }
     * 
     */
    public Price createPrice() {
        return new Price();
    }

    /**
     * Create an instance of {@link EditorialReview }
     * 
     */
    public EditorialReview createEditorialReview() {
        return new EditorialReview();
    }

    /**
     * Create an instance of {@link Accessories.Accessory }
     * 
     */
    public Accessories.Accessory createAccessoriesAccessory() {
        return new Accessories.Accessory();
    }

    /**
     * Create an instance of {@link VariationDimensions }
     * 
     */
    public VariationDimensions createVariationDimensions() {
        return new VariationDimensions();
    }

    /**
     * Create an instance of {@link ItemAttributes.UPCList }
     * 
     */
    public ItemAttributes.UPCList createItemAttributesUPCList() {
        return new ItemAttributes.UPCList();
    }

    /**
     * Create an instance of {@link SimilarViewedProducts }
     * 
     */
    public SimilarViewedProducts createSimilarViewedProducts() {
        return new SimilarViewedProducts();
    }

    /**
     * Create an instance of {@link Collections.Collection.CollectionParent }
     * 
     */
    public Collections.Collection.CollectionParent createCollectionsCollectionCollectionParent() {
        return new Collections.Collection.CollectionParent();
    }

    /**
     * Create an instance of {@link Bin }
     * 
     */
    public Bin createBin() {
        return new Bin();
    }

    /**
     * Create an instance of {@link Errors.Error }
     * 
     */
    public Errors.Error createErrorsError() {
        return new Errors.Error();
    }

    /**
     * Create an instance of {@link ItemLink }
     * 
     */
    public ItemLink createItemLink() {
        return new ItemLink();
    }

    /**
     * Create an instance of {@link Accessories }
     * 
     */
    public Accessories createAccessories() {
        return new Accessories();
    }

    /**
     * Create an instance of {@link ItemSearchRequest }
     * 
     */
    public ItemSearchRequest createItemSearchRequest() {
        return new ItemSearchRequest();
    }

    /**
     * Create an instance of {@link CartAddResponse }
     * 
     */
    public CartAddResponse createCartAddResponse() {
        return new CartAddResponse();
    }

    /**
     * Create an instance of {@link ItemLookupRequest }
     * 
     */
    public ItemLookupRequest createItemLookupRequest() {
        return new ItemLookupRequest();
    }

    /**
     * Create an instance of {@link BrowseNode.Children }
     * 
     */
    public BrowseNode.Children createBrowseNodeChildren() {
        return new BrowseNode.Children();
    }

    /**
     * Create an instance of {@link OfferSummary }
     * 
     */
    public OfferSummary createOfferSummary() {
        return new OfferSummary();
    }

    /**
     * Create an instance of {@link CartModifyRequest.Items }
     * 
     */
    public CartModifyRequest.Items createCartModifyRequestItems() {
        return new CartModifyRequest.Items();
    }

    /**
     * Create an instance of {@link am.ik.aws.apa.jaxws.Item }
     * 
     */
    public am.ik.aws.apa.jaxws.Item createItem() {
        return new am.ik.aws.apa.jaxws.Item();
    }

    /**
     * Create an instance of {@link am.ik.aws.apa.jaxws.Items }
     * 
     */
    public am.ik.aws.apa.jaxws.Items createItems() {
        return new am.ik.aws.apa.jaxws.Items();
    }

    /**
     * Create an instance of {@link BrowseNodeLookupRequest }
     * 
     */
    public BrowseNodeLookupRequest createBrowseNodeLookupRequest() {
        return new BrowseNodeLookupRequest();
    }

    /**
     * Create an instance of {@link CartCreateRequest }
     * 
     */
    public CartCreateRequest createCartCreateRequest() {
        return new CartCreateRequest();
    }

    /**
     * Create an instance of {@link CartClearRequest }
     * 
     */
    public CartClearRequest createCartClearRequest() {
        return new CartClearRequest();
    }

    /**
     * Create an instance of {@link BrowseNodeLookupResponse }
     * 
     */
    public BrowseNodeLookupResponse createBrowseNodeLookupResponse() {
        return new BrowseNodeLookupResponse();
    }

    /**
     * Create an instance of {@link RelatedItem }
     * 
     */
    public RelatedItem createRelatedItem() {
        return new RelatedItem();
    }

    /**
     * Create an instance of {@link Cart }
     * 
     */
    public Cart createCart() {
        return new Cart();
    }

    /**
     * Create an instance of {@link SavedForLaterItems }
     * 
     */
    public SavedForLaterItems createSavedForLaterItems() {
        return new SavedForLaterItems();
    }

    /**
     * Create an instance of {@link TopSellers }
     * 
     */
    public TopSellers createTopSellers() {
        return new TopSellers();
    }

    /**
     * Create an instance of {@link Promotions }
     * 
     */
    public Promotions createPromotions() {
        return new Promotions();
    }

    /**
     * Create an instance of {@link Offer }
     * 
     */
    public Offer createOffer() {
        return new Offer();
    }

    /**
     * Create an instance of {@link Bin.BinParameter }
     * 
     */
    public Bin.BinParameter createBinBinParameter() {
        return new Bin.BinParameter();
    }

    /**
     * Create an instance of {@link SearchResultsMap }
     * 
     */
    public SearchResultsMap createSearchResultsMap() {
        return new SearchResultsMap();
    }

    /**
     * Create an instance of {@link Tracks }
     * 
     */
    public Tracks createTracks() {
        return new Tracks();
    }

    /**
     * Create an instance of {@link CartModifyRequest }
     * 
     */
    public CartModifyRequest createCartModifyRequest() {
        return new CartModifyRequest();
    }

    /**
     * Create an instance of {@link BrowseNode }
     * 
     */
    public BrowseNode createBrowseNode() {
        return new BrowseNode();
    }

    /**
     * Create an instance of {@link SimilarityLookupRequest }
     * 
     */
    public SimilarityLookupRequest createSimilarityLookupRequest() {
        return new SimilarityLookupRequest();
    }

    /**
     * Create an instance of {@link ImageSet }
     * 
     */
    public ImageSet createImageSet() {
        return new ImageSet();
    }

    /**
     * Create an instance of {@link Request }
     * 
     */
    public Request createRequest() {
        return new Request();
    }

    /**
     * Create an instance of {@link CartCreateResponse }
     * 
     */
    public CartCreateResponse createCartCreateResponse() {
        return new CartCreateResponse();
    }

    /**
     * Create an instance of {@link OtherCategoriesSimilarProducts }
     * 
     */
    public OtherCategoriesSimilarProducts createOtherCategoriesSimilarProducts() {
        return new OtherCategoriesSimilarProducts();
    }

    /**
     * Create an instance of {@link CartGetRequest }
     * 
     */
    public CartGetRequest createCartGetRequest() {
        return new CartGetRequest();
    }

    /**
     * Create an instance of {@link ItemLookupResponse }
     * 
     */
    public ItemLookupResponse createItemLookupResponse() {
        return new ItemLookupResponse();
    }

    /**
     * Create an instance of {@link CartAdd }
     * 
     */
    public CartAdd createCartAdd() {
        return new CartAdd();
    }

    /**
     * Create an instance of {@link Promotion.Summary }
     * 
     */
    public Promotion.Summary createPromotionSummary() {
        return new Promotion.Summary();
    }

    /**
     * Create an instance of {@link CustomerReviews }
     * 
     */
    public CustomerReviews createCustomerReviews() {
        return new CustomerReviews();
    }

    /**
     * Create an instance of {@link OfferListing }
     * 
     */
    public OfferListing createOfferListing() {
        return new OfferListing();
    }

    /**
     * Create an instance of {@link ItemAttributes.Languages.Language }
     * 
     */
    public ItemAttributes.Languages.Language createItemAttributesLanguagesLanguage() {
        return new ItemAttributes.Languages.Language();
    }

    /**
     * Create an instance of {@link Collections.Collection.CollectionItem }
     * 
     */
    public Collections.Collection.CollectionItem createCollectionsCollectionCollectionItem() {
        return new Collections.Collection.CollectionItem();
    }

    /**
     * Create an instance of {@link CartGetResponse }
     * 
     */
    public CartGetResponse createCartGetResponse() {
        return new CartGetResponse();
    }

    /**
     * Create an instance of {@link CartItems }
     * 
     */
    public CartItems createCartItems() {
        return new CartItems();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}
     * 
     */
    @XmlElementDecl(namespace = "http://webservices.amazon.com/AWSECommerceService/2011-08-01", name = "AudienceRating")
    public JAXBElement<String> createAudienceRating(String value) {
        return new JAXBElement<String>(_AudienceRating_QNAME, String.class,
                null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}
     * 
     */
    @XmlElementDecl(namespace = "http://webservices.amazon.com/AWSECommerceService/2011-08-01", name = "Condition")
    public JAXBElement<String> createCondition(String value) {
        return new JAXBElement<String>(_Condition_QNAME, String.class, null,
                value);
    }

}
