/*
 * Copyright (C) 2011 Toshiaki Maki <makingx@gmail.com>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package am.ik.aws.apa.jaxws;

import java.math.BigInteger;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;

/**
 * <p>
 * Java class for anonymous complex type.
 * 
 * <p>
 * The following schema fragment specifies the expected content contained within
 * this class.
 * 
 * <pre>
 * &lt;complexType>
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="OfferListingId" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="Price" type="{http://webservices.amazon.com/AWSECommerceService/2011-08-01}Price" minOccurs="0"/>
 *         &lt;element name="SalePrice" type="{http://webservices.amazon.com/AWSECommerceService/2011-08-01}Price" minOccurs="0"/>
 *         &lt;element name="AmountSaved" type="{http://webservices.amazon.com/AWSECommerceService/2011-08-01}Price" minOccurs="0"/>
 *         &lt;element name="PercentageSaved" type="{http://www.w3.org/2001/XMLSchema}nonNegativeInteger" minOccurs="0"/>
 *         &lt;element name="Availability" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="AvailabilityAttributes" minOccurs="0">
 *           &lt;complexType>
 *             &lt;complexContent>
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *                 &lt;sequence>
 *                   &lt;element name="AvailabilityType" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *                   &lt;element name="IsPreorder" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
 *                   &lt;element name="MinimumHours" type="{http://www.w3.org/2001/XMLSchema}integer" minOccurs="0"/>
 *                   &lt;element name="MaximumHours" type="{http://www.w3.org/2001/XMLSchema}integer" minOccurs="0"/>
 *                 &lt;/sequence>
 *               &lt;/restriction>
 *             &lt;/complexContent>
 *           &lt;/complexType>
 *         &lt;/element>
 *         &lt;element name="IsEligibleForSuperSaverShipping" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
 *         &lt;element name="IsEligibleForPrime" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = { "offerListingId", "price", "salePrice",
        "amountSaved", "percentageSaved", "availability",
        "availabilityAttributes", "isEligibleForSuperSaverShipping",
        "isEligibleForPrime" })
@XmlRootElement(name = "OfferListing")
public class OfferListing {

    @XmlElement(name = "OfferListingId")
    protected String offerListingId;
    @XmlElement(name = "Price")
    protected Price price;
    @XmlElement(name = "SalePrice")
    protected Price salePrice;
    @XmlElement(name = "AmountSaved")
    protected Price amountSaved;
    @XmlElement(name = "PercentageSaved")
    @XmlSchemaType(name = "nonNegativeInteger")
    protected BigInteger percentageSaved;
    @XmlElement(name = "Availability")
    protected String availability;
    @XmlElement(name = "AvailabilityAttributes")
    protected OfferListing.AvailabilityAttributes availabilityAttributes;
    @XmlElement(name = "IsEligibleForSuperSaverShipping")
    protected Boolean isEligibleForSuperSaverShipping;
    @XmlElement(name = "IsEligibleForPrime")
    protected Boolean isEligibleForPrime;

    /**
     * Gets the value of the offerListingId property.
     * 
     * @return possible object is {@link String }
     * 
     */
    public String getOfferListingId() {
        return offerListingId;
    }

    /**
     * Sets the value of the offerListingId property.
     * 
     * @param value
     *            allowed object is {@link String }
     * 
     */
    public void setOfferListingId(String value) {
        this.offerListingId = value;
    }

    /**
     * Gets the value of the price property.
     * 
     * @return possible object is {@link Price }
     * 
     */
    public Price getPrice() {
        return price;
    }

    /**
     * Sets the value of the price property.
     * 
     * @param value
     *            allowed object is {@link Price }
     * 
     */
    public void setPrice(Price value) {
        this.price = value;
    }

    /**
     * Gets the value of the salePrice property.
     * 
     * @return possible object is {@link Price }
     * 
     */
    public Price getSalePrice() {
        return salePrice;
    }

    /**
     * Sets the value of the salePrice property.
     * 
     * @param value
     *            allowed object is {@link Price }
     * 
     */
    public void setSalePrice(Price value) {
        this.salePrice = value;
    }

    /**
     * Gets the value of the amountSaved property.
     * 
     * @return possible object is {@link Price }
     * 
     */
    public Price getAmountSaved() {
        return amountSaved;
    }

    /**
     * Sets the value of the amountSaved property.
     * 
     * @param value
     *            allowed object is {@link Price }
     * 
     */
    public void setAmountSaved(Price value) {
        this.amountSaved = value;
    }

    /**
     * Gets the value of the percentageSaved property.
     * 
     * @return possible object is {@link BigInteger }
     * 
     */
    public BigInteger getPercentageSaved() {
        return percentageSaved;
    }

    /**
     * Sets the value of the percentageSaved property.
     * 
     * @param value
     *            allowed object is {@link BigInteger }
     * 
     */
    public void setPercentageSaved(BigInteger value) {
        this.percentageSaved = value;
    }

    /**
     * Gets the value of the availability property.
     * 
     * @return possible object is {@link String }
     * 
     */
    public String getAvailability() {
        return availability;
    }

    /**
     * Sets the value of the availability property.
     * 
     * @param value
     *            allowed object is {@link String }
     * 
     */
    public void setAvailability(String value) {
        this.availability = value;
    }

    /**
     * Gets the value of the availabilityAttributes property.
     * 
     * @return possible object is {@link OfferListing.AvailabilityAttributes }
     * 
     */
    public OfferListing.AvailabilityAttributes getAvailabilityAttributes() {
        return availabilityAttributes;
    }

    /**
     * Sets the value of the availabilityAttributes property.
     * 
     * @param value
     *            allowed object is {@link OfferListing.AvailabilityAttributes }
     * 
     */
    public void setAvailabilityAttributes(
            OfferListing.AvailabilityAttributes value) {
        this.availabilityAttributes = value;
    }

    /**
     * Gets the value of the isEligibleForSuperSaverShipping property.
     * 
     * @return possible object is {@link Boolean }
     * 
     */
    public Boolean isIsEligibleForSuperSaverShipping() {
        return isEligibleForSuperSaverShipping;
    }

    /**
     * Sets the value of the isEligibleForSuperSaverShipping property.
     * 
     * @param value
     *            allowed object is {@link Boolean }
     * 
     */
    public void setIsEligibleForSuperSaverShipping(Boolean value) {
        this.isEligibleForSuperSaverShipping = value;
    }

    /**
     * Gets the value of the isEligibleForPrime property.
     * 
     * @return possible object is {@link Boolean }
     * 
     */
    public Boolean isIsEligibleForPrime() {
        return isEligibleForPrime;
    }

    /**
     * Sets the value of the isEligibleForPrime property.
     * 
     * @param value
     *            allowed object is {@link Boolean }
     * 
     */
    public void setIsEligibleForPrime(Boolean value) {
        this.isEligibleForPrime = value;
    }

    /**
     * <p>
     * Java class for anonymous complex type.
     * 
     * <p>
     * The following schema fragment specifies the expected content contained
     * within this class.
     * 
     * <pre>
     * &lt;complexType>
     *   &lt;complexContent>
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
     *       &lt;sequence>
     *         &lt;element name="AvailabilityType" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
     *         &lt;element name="IsPreorder" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
     *         &lt;element name="MinimumHours" type="{http://www.w3.org/2001/XMLSchema}integer" minOccurs="0"/>
     *         &lt;element name="MaximumHours" type="{http://www.w3.org/2001/XMLSchema}integer" minOccurs="0"/>
     *       &lt;/sequence>
     *     &lt;/restriction>
     *   &lt;/complexContent>
     * &lt;/complexType>
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = { "availabilityType", "isPreorder",
            "minimumHours", "maximumHours" })
    public static class AvailabilityAttributes {

        @XmlElement(name = "AvailabilityType")
        protected String availabilityType;
        @XmlElement(name = "IsPreorder")
        protected Boolean isPreorder;
        @XmlElement(name = "MinimumHours")
        protected BigInteger minimumHours;
        @XmlElement(name = "MaximumHours")
        protected BigInteger maximumHours;

        /**
         * Gets the value of the availabilityType property.
         * 
         * @return possible object is {@link String }
         * 
         */
        public String getAvailabilityType() {
            return availabilityType;
        }

        /**
         * Sets the value of the availabilityType property.
         * 
         * @param value
         *            allowed object is {@link String }
         * 
         */
        public void setAvailabilityType(String value) {
            this.availabilityType = value;
        }

        /**
         * Gets the value of the isPreorder property.
         * 
         * @return possible object is {@link Boolean }
         * 
         */
        public Boolean isIsPreorder() {
            return isPreorder;
        }

        /**
         * Sets the value of the isPreorder property.
         * 
         * @param value
         *            allowed object is {@link Boolean }
         * 
         */
        public void setIsPreorder(Boolean value) {
            this.isPreorder = value;
        }

        /**
         * Gets the value of the minimumHours property.
         * 
         * @return possible object is {@link BigInteger }
         * 
         */
        public BigInteger getMinimumHours() {
            return minimumHours;
        }

        /**
         * Sets the value of the minimumHours property.
         * 
         * @param value
         *            allowed object is {@link BigInteger }
         * 
         */
        public void setMinimumHours(BigInteger value) {
            this.minimumHours = value;
        }

        /**
         * Gets the value of the maximumHours property.
         * 
         * @return possible object is {@link BigInteger }
         * 
         */
        public BigInteger getMaximumHours() {
            return maximumHours;
        }

        /**
         * Sets the value of the maximumHours property.
         * 
         * @param value
         *            allowed object is {@link BigInteger }
         * 
         */
        public void setMaximumHours(BigInteger value) {
            this.maximumHours = value;
        }

    }

}
